1
0
Fork 0

removed the hotfix pip installs that whisperx requires now that whisperx is gone

remotes/1708699347150643056/master
mrq 2023-03-11 16:55:19 +07:00
parent cf41492f76
commit e680d84a13
6 changed files with 6 additions and 22 deletions

@ -5,13 +5,10 @@ python -m venv venv
call .\venv\Scripts\activate.bat
python -m pip install --upgrade pip
python -m pip install torch torchvision torchaudio --extra-index-url https://download.pytorch.org/whl/cu117
python -m pip install -r .\requirements.txt
python -m pip install -r .\modules\tortoise-tts\requirements.txt
python -m pip install -e .\modules\tortoise-tts\
python -m pip install -r .\modules\dlas\requirements.txt
python -m pip install -U einops==0.6.0
python -m pip install -U librosa==0.8.1
python -m pip install -r .\requirements.txt
xcopy .\modules\dlas\bitsandbytes_windows\* .\venv\Lib\site-packages\bitsandbytes\. /Y
xcopy .\modules\dlas\bitsandbytes_windows\cuda_setup\* .\venv\Lib\site-packages\bitsandbytes\cuda_setup\. /Y

@ -9,13 +9,10 @@ python3 -m pip install --upgrade pip # just to be safe
# CUDA
pip3 install torch torchvision torchaudio --extra-index-url https://download.pytorch.org/whl/cu117
# install requirements
python3 -m pip install -r ./requirements.txt # install local requirements
python3 -m pip install -r ./modules/tortoise-tts/requirements.txt # install TorToiSe requirements
python3 -m pip install -e ./modules/tortoise-tts/ # install TorToiSe
python3 -m pip install -r ./modules/dlas/requirements.txt # instal DLAS requirements, last, because whisperx will break a dependency here
python3 -m pip install -U einops==0.6.0
python3 -m pip install -U librosa==0.8.1
python3 -m pip install -r ./requirements.txt # install local requirements
rm *.bat

@ -5,13 +5,10 @@ python -m venv venv
call .\venv\Scripts\activate.bat
python -m pip install --upgrade pip
python -m pip install torch torchvision torchaudio torch-directml
python -m pip install -r .\requirements.txt
python -m pip install -r .\modules\tortoise-tts\requirements.txt
python -m pip install -e .\modules\tortoise-tts\
python -m pip install -r .\modules\dlas\requirements.txt
python -m pip install -U einops==0.6.0
python -m pip install -U librosa==0.8.1
python -m pip install -r .\requirements.txt
del *.sh

@ -9,13 +9,10 @@ python3 -m pip install --upgrade pip # just to be safe
# ROCM
pip3 install torch torchvision torchaudio --extra-index-url https://download.pytorch.org/whl/rocm5.1.1 # 5.2 does not work for me desu
# install requirements
python3 -m pip install -r ./requirements.txt # install local requirements
python3 -m pip install -r ./modules/tortoise-tts/requirements.txt # install TorToiSe requirements
python3 -m pip install -e ./modules/tortoise-tts/ # install TorToiSe
python3 -m pip install -r ./modules/dlas/requirements.txt # instal DLAS requirements
python -m pip install -U einops==0.6.0
python -m pip install -U librosa==0.8.1
python3 -m pip install -r ./requirements.txt # install local requirements
rm *.bat

@ -6,12 +6,10 @@ python -m venv venv
call .\venv\Scripts\activate.bat
python -m pip install --upgrade pip
python -m pip install -U -r .\requirements.txt
python -m pip install -U -r .\modules\tortoise-tts\requirements.txt
python -m pip install -U -e .\modules\tortoise-tts
python -m pip install -U -r .\modules\dlas\requirements.txt
python -m pip install -U einops==0.6.0
python -m pip install -U librosa==0.8.1
python -m pip install -U -r .\requirements.txt
pause
deactivate

@ -9,11 +9,9 @@ python3 -m venv venv
source ./venv/bin/activate
python3 -m pip install --upgrade pip
python3 -m pip install -r ./requirements.txt
python3 -m pip install -r ./modules/tortoise-tts/requirements.txt
python3 -m pip install -e ./modules/tortoise-tts
python3 -m pip install -r ./modules/dlas/requirements.txt
python3 -m pip install -U einops==0.6.0
python3 -m pip install -U librosa==0.8.1
python3 -m pip install -r ./requirements.txt
deactivate